Freeciv-3.1: packet_unit_actions Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_unit_actions Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | actor_unit_id16
int | actor_unit_id32
int | target_unit_id16
int | target_unit_id32
int | target_city_id16
int | target_city_id32
int | target_tile_id
int | target_extra_id
int | request_kind
struct act_prob | action_probabilities [MAX_NUM_ACTIONS]

## Detailed Description

Definition at line 779 of file packets_gen.h.

## Field Documentation

## ◆ action_probabilities

struct act_prob packet_unit_actions::action_probabilities[MAX_NUM_ACTIONS]

Definition at line 789 of file packets_gen.h.

Referenced by dsend_packet_unit_actions(), handle_unit_actions(), send_packet_unit_actions_100(), and send_packet_unit_actions_101().

## ◆ actor_unit_id16

int packet_unit_actions::actor_unit_id16

Definition at line 780 of file packets_gen.h.

Referenced by dsend_packet_unit_actions(), handle_unit_actions(), and send_packet_unit_actions_101().

## ◆ actor_unit_id32

int packet_unit_actions::actor_unit_id32

Definition at line 781 of file packets_gen.h.

Referenced by dsend_packet_unit_actions(), handle_unit_actions(), and send_packet_unit_actions_100().

## ◆ request_kind

int packet_unit_actions::request_kind

Definition at line 788 of file packets_gen.h.

Referenced by dsend_packet_unit_actions(), handle_unit_actions(), send_packet_unit_actions_100(), and send_packet_unit_actions_101().

## ◆ target_city_id16

int packet_unit_actions::target_city_id16

Definition at line 784 of file packets_gen.h.

Referenced by dsend_packet_unit_actions(), handle_unit_actions(), and send_packet_unit_actions_101().

## ◆ target_city_id32

int packet_unit_actions::target_city_id32

Definition at line 785 of file packets_gen.h.

Referenced by dsend_packet_unit_actions(), handle_unit_actions(), and send_packet_unit_actions_100().

## ◆ target_extra_id

int packet_unit_actions::target_extra_id

Definition at line 787 of file packets_gen.h.

Referenced by dsend_packet_unit_actions(), handle_unit_actions(), send_packet_unit_actions_100(), and send_packet_unit_actions_101().

## ◆ target_tile_id

int packet_unit_actions::target_tile_id

Definition at line 786 of file packets_gen.h.

Referenced by dsend_packet_unit_actions(), handle_unit_actions(), send_packet_unit_actions_100(), and send_packet_unit_actions_101().

## ◆ target_unit_id16

int packet_unit_actions::target_unit_id16

Definition at line 782 of file packets_gen.h.

Referenced by dsend_packet_unit_actions(), handle_unit_actions(), and send_packet_unit_actions_101().

## ◆ target_unit_id32

int packet_unit_actions::target_unit_id32

Definition at line 783 of file packets_gen.h.

Referenced by dsend_packet_unit_actions(), handle_unit_actions(), and send_packet_unit_actions_100().